Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.validation.impl
Class Mod10ValidatorBuilder

    java.lang.Object
      org.apache.cocoon.forms.datatype.validationruleimpl.AbstractValidationRuleBuilder
          org.apache.cocoon.forms.datatype.validationruleimpl.Mod10ValidationRuleBuilder
              org.apache.cocoon.forms.validation.impl.Mod10ValidatorBuilder

All Implemented Interfaces:
  ValidationRuleBuilder, WidgetValidatorBuilder

public class Mod10ValidatorBuilder
extends Mod10ValidationRuleBuilder
implements WidgetValidatorBuilder

Adapter for `Mod10ValidationRuleBuilder`

Version:
  $Id: Mod10ValidatorBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.datatype.validationruleimpl.AbstractValidationRuleBuilder
`expressionManager`

Fields inherited from interface org.apache.cocoon.forms.validation.WidgetValidatorBuilder
`ROLE`

Constructor Summary
`Mod10ValidatorBuilder()`

Method Summary
`WidgetValidator` | `build(Element validationRuleElement, WidgetDefinition definition)` Builds a `WidgetValidator` for a particular widget definition.

Methods inherited from class org.apache.cocoon.forms.datatype.validationruleimpl.Mod10ValidationRuleBuilder
`build`

Methods inherited from class org.apache.cocoon.forms.datatype.validationruleimpl.AbstractValidationRuleBuilder
`buildFailMessage, parseExpression, setExpressionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mod10ValidatorBuilder

    public Mod10ValidatorBuilder()

Method Detail

### build

    public WidgetValidator build(Element validationRuleElement,
                                 WidgetDefinition definition)
                          throws Exception

  Description copied from interface: `WidgetValidatorBuilder`
  Builds a `WidgetValidator` for a particular widget definition.

  Specified by:
    `build` in interface `WidgetValidatorBuilder`
  Parameters:
    `validationRuleElement` - the DOM element defining the validator
    `definition` - the widget definition the validator will have to validate. This may be used to check applicability of the validator to the widget.
  Returns:
    A `WidgetValidator`
  Throws:
    `Exception` - if some problem occurs
  See Also:
    `WidgetValidatorBuilder.build(org.w3c.dom.Element, org.apache.cocoon.forms.formmodel.WidgetDefinition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.